
QGIS Application - Bug report #4751

Save as vector file and join error

2012-01-05 09:11 AM - olivier olivier

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:1.7.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14620

Description

Hi,

If you try Layer/save as a vector file with a layer that has a join, returns this error :

Export to vector file failed.

Error: creation of field ID_POINT failed (OGR error: Attempt to create field ID_POINT, but a field with this name already exists.)

it's obvious, as the joining field (here ID_POINT) is twice in the attribute table.

History

#1 - 2012-01-05 09:46 AM - Jürgen Fischer

- Affected QGIS version changed from master to 1.7.3

- OS version changed from Windows 7 + Access to Windows 7

- Operating System changed from 1.7.3 to Windows

- Category set to Vectors

#2 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2013-09-22 01:40 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

This is definitely fixed, at least in 2.0 (but probably also in 1.8).
